- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# DSObjects::CRealMediaPlayer Class Reference

Inheritance diagram for DSObjects::CRealMediaPlayer:

List of all members.

## Public Member Functions
| CRealMediaPlayer (HWND hWndParent, CRealMediaGraph *pRMG)
virtual | ~CRealMediaPlayer ()
STDMETHODIMP | NonDelegatingQueryInterface (REFIID riid, void **ppv)
bool | Init ()
void | Deinit ()
virtual CSize | GetVideoSize ()
virtual void | SetWindowRect (CRect r)
virtual void | SetDestRect (CRect r)
STDMETHODIMP | ErrorOccurred (const UINT8 unSeverity, const UINT32 ulRMACode, const UINT32 ulUserCode, const char *pUserString, const char *pMoreInfoURL)
STDMETHODIMP | OnPosLength (UINT32 ulPosition, UINT32 ulLength)
STDMETHODIMP | OnPresentationOpened ()
STDMETHODIMP | OnPresentationClosed ()
STDMETHODIMP | OnStatisticsChanged ()
STDMETHODIMP | OnPreSeek (UINT32 ulOldTime, UINT32 ulNewTime)
STDMETHODIMP | OnPostSeek (UINT32 ulOldTime, UINT32 ulNewTime)
STDMETHODIMP | OnStop ()
STDMETHODIMP | OnPause (UINT32 ulTime)
STDMETHODIMP | OnBegin (UINT32 ulTime)
STDMETHODIMP | OnBuffering (UINT32 ulFlags, UINT16 unPercentComplete)
STDMETHODIMP | OnContacting (const char *pHostName)
STDMETHODIMP | HandleAuthenticationRequest (IRMAAuthenticationManagerResponse *pResponse)
STDMETHODIMP | SitesNeeded (UINT32 uRequestID, IRMAValues *pSiteProps)
STDMETHODIMP | SitesNotNeeded (UINT32 uRequestID)
STDMETHODIMP | BeginChangeLayout ()
STDMETHODIMP | DoneChangeLayout ()
STDMETHODIMP | PositionChanged (PNxPoint *pos)
STDMETHODIMP | SizeChanged (PNxSize *size)
STDMETHODIMP | OnBuffer (RMAAudioData *pAudioInData, RMAAudioData *pAudioOutData)
STDMETHODIMP | OnInit (RMAAudioFormat *pFormat)
## Public Attributes
| DECLARE_IUNKNOWN
## Protected Attributes
CRealMediaGraph * | m_pRMG
HWND | m_hWndParent
CSize | m_VideoSize
bool | m_fVideoSizeChanged
DWORD | m_wndStyle
CPlayerWindow | m_wndWindowFrame
CPlayerWindow | m_wndDestFrame
FPRMCREATEENGINE | m_fpCreateEngine
FPRMCLOSEENGINE | m_fpCloseEngine
FPRMSETDLLACCESSPATH | m_fpSetDLLAccessPath
HMODULE | m_hRealMediaCore
CComPtr< IRMAClientEngine > | m_pEngine
CComPtr< IRMAPlayer > | m_pPlayer
CComQIPtr< IRMAAudioPlayer, &IID_IRMAAudioPlayer > | m_pAudioPlayer
CComPtr< IRMAVolume > | m_pVolume
CComQIPtr< IRMASiteManager, &IID_IRMASiteManager > | m_pSiteManager
CComQIPtr< IRMACommonClassFactory, &IID_IRMACommonClassFactory > | m_pCommonClassFactory
CComQIPtr< IRMASite,&IID_IRMASite > | m_pTheSite
CComQIPtr< IRMASite2,&IID_IRMASite2 > | m_pTheSite2
CMap< UINT32, UINT32 &, IRMASite *, IRMASite *& > | m_CreatedSites
OAFilterState | m_State
OAFilterState | m_UserState
REFERENCE_TIME | m_nCurrent
REFERENCE_TIME | m_nDuration
UINT16 | m_unPercentComplete
## Friends
class | CRealMediaGraph

## Detailed Description

Definition at line 51 of file RealMediaGraph.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/apps/mplayerc/RealMediaGraph.h
- C:/guliverkli/src/apps/mplayerc/RealMediaGraph.cpp